% example exs4
%----------------------------------------------------------------
% PURPOSE 
%    Analysis of a simply supported beam.
%----------------------------------------------------------------

% LAST MODIFIED: O Dahlblom  2015-11-13
% Copyright (c)  Division of Structural Mechanics and
%                Division of Solid Mechanics.
%                Lund University
%----------------------------------------------------------------
 echo on

%----- Topology -------------------------------------------------

 Edof=[1  1  2  3  4;
       2  3  4  5  6];

%----- Stiffness matrix K and load vector f ---------------------

 K=zeros(6);   f=zeros(6,1);   f(3)=-10000;   eq=[0]

%----- Element stiffness matrices  ------------------------------

 E=210e9;      I=2510e-8;    ep=[E I];
 ex1=[0 3];     ex2=[3 9];

 Ke1=beam1e(ex1,ep)
 Ke2=beam1e(ex2,ep)
 
%----- Assemble Ke into K ---------------------------------------

 K=assem(Edof(1,:),K,Ke1);
 K=assem(Edof(2,:),K,Ke2);

%----- Solve the system of equations and compute support forces -

 bc=[1 0; 5 0];
 [a,r]=solveq(K,f,bc)

%----- Section forces -------------------------------------------

 Ed=extract(Edof,a);

 [es1,edi1]=beam1s(ex1,ep,Ed(1,:),eq,6)
 [es2,edi2]=beam1s(ex2,ep,Ed(2,:),eq,11)

 %------------------------ end -----------------------------------
 echo off
